[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadDate

Read a date value

## Declaration

Source position: inifiles.pp line 183

`public function TCustomIniFile.ReadDate(`
`const Section: string;`
`const Ident: string;`
`Default: TDateTime`
`):TDateTime; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as a TDateTime

## Description

ReadDate reads the key Ident in section Section, and returns the value as a date (TDateTime). If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid date value, Default is also returned. The international settings of the SysUtils are taken into account when deciding if the read value is a correct date.

## See also

WriteDate |  | Write date value
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadString |  | Read a string valued key
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data